import { ElementRef, OnChanges, OnDestroy, OnInit, SimpleChanges } from "@angular/core";
import { HighlightPipe } from "../../../pipes/highlight.pipe";
import { ComboboxV2Component } from "../combobox-v2/combobox-v2.component";
/**
 * @ignore
 *  Will be renamed in scope of the NUI-5797
 */
export declare class ComboboxV2OptionHighlightDirective implements OnChanges, OnInit, OnDestroy {
    private el;
    private combobox;
    private highlightPipe;
    /** Part of the text to be highlighted */
    value: string;
    private destroy$;
    constructor(el: ElementRef<HTMLElement>, combobox: ComboboxV2Component, highlightPipe: HighlightPipe);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    private updateHTML;
}
